Subject: Re: bug#3442: 23.0.94; "C-x 5 1" (delete-other-frames) kills daemon

From: Stefan Monnier <[email-masked]>
Date: Fri, 05 Jun 2009 10:41:21 -0400

>> I've installed a patch that makes C-x 5 1 only delete frames on the same
>> terminal, which should fix this issue.
> That's a behavior change, isn't it?

Yes, tho only for people who were using a single Emacs displaying frames
on several X11 displays.
I feel like it's a change for the better, obviously.  This command has
never clearly specified what it did in the case where there are several
terminals because it was written at a time where Emacs did not support
this mode of operation.  So, AFAICT even the behavior change is a bug fix.

        Stefan